OnOffPropertyEditor (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util.propertyEditor
Class OnOffPropertyEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          com.bbn.openmap.util.propertyEditor.TrueFalsePropertyEditor
              com.bbn.openmap.util.propertyEditor.OnOffPropertyEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.event.FocusListener, java.beans.PropertyEditor, java.util.EventListener

    public class OnOffPropertyEditor

extends TrueFalsePropertyEditor

A PropertyEditor that displays a On/Off option. The widget returns true or false as a string when queried.

Field Summary

Fields inherited from class com.bbn.openmap.util.propertyEditor.TrueFalsePropertyEditor
`buttonGroup, falseButton, FalseString, option, trueButton, TrueString, useAltCommandStrings`

Constructor Summary
`OnOffPropertyEditor()`

Method Summary

Methods inherited from class com.bbn.openmap.util.propertyEditor.TrueFalsePropertyEditor
`actionPerformed, focusGained, focusLost, getAsText, getCustomEditor, getUseAltCommandStrings, setSelected, setUseAltCommandStrings, setValue, supportsCustomEditor`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setAsText, setSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OnOffPropertyEditor

    public OnOffPropertyEditor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details